# Realtime Lookup

## Realtime Lookup

> \*\*Introduction\*\*\
> \
> Real-time lookup APIs allow you to discover live information for a provided number.\
> \
> By using the real-time lookup APIs you ensure the number you are querying is valid, along with information related to the number itself, such as the country and the network to which it belongs.\
> \
> Each response contains:\
> \
> \- \`date\` — time when the request was executed (ISO8601)\
> \- \`msisdn\` — the number for which the response has been returned\
> \- \`mcc\` — Mobile country code (\[learn more]\(<https://en.wikipedia.org/wiki/Mobile\\_country\\_code))\\>
> \- \`mnc\` — Mobile network code (\[learn more]\(<https://en.wikipedia.org/wiki/Mobile\\_country\\_code))\\>
> &#x20; \- the mobile network code to which the number currently belongs\
> \- \`omnc\` — Original network code\
> &#x20; \- returned in case the \`ported\` flag is \`true\`\
> \- \`originalNetwork\` (the network to which the number originally belonged)\
> &#x20; \- \`countryName\`\
> &#x20; \- \`countryPrefix\`\
> &#x20; \- \`networkName\`\
> \- \`portedNetwork\` (the network to which the number is currently ported)\
> &#x20; \- \`countryName\`\
> &#x20; \- \`countryPrefix\`\
> &#x20; \- \`networkName\`\
> \- \`ported\` — denotes whether the number has been ported\
> \- \`imsi\` — IMSI (\[learn more]\(<https://en.wikipedia.org/wiki/International\\_mobile\\_subscriber\\_identity))\\>
> \- \`gsmErrorCode\` — error code related to user availability (see below)\
> \- \`price\` — the price for this request\
> \- \`response\` — the result code (see below)\
> \
> \*\*Response values\*\*\
> \
> \| Value | Description | Action |\
> \|------:|-------------|--------|\
> \| 0 | Success | ✈️ |\
> \| 1 | General error | Repeating the request won't yield a different result |\
> \| 2 | Pricing not set | Contact <procurement@bind.hr> |\
> \| 3 | Out of balance | Contact <procurement@bind.hr> |\
> \| 4 | Throttled | Contact <procurement@bind.hr> |\
> \| 5 | Invalid number | Number length not valid |\
> \| 6 | Not resolved | Number cannot be resolved due to missing coverage |\
> \| 7 | Timeout | Number cannot be resolved due to timeout |\
> \| 8 | Missing permissions | Contact <procurement@bind.hr> |\
> \
> \*\*GSM error codes\*\*\
> \
> \| EC  | ERROR DESCRIPTION                 |\
> \| --- | --------------------------------- |\
> \| 0   | REACHABLE                         |\
> \| 1   | UNKNOWN\_SUBSCRIBER                |\
> \| 5   | UNIDENTIFIED\_SUBSCRIBER           |\
> \| 9   | ILLEGAL\_SUBSCRIBER                |\
> \| 11  | TELESERVICE\_NOT\_PROVISIONED       |\
> \| 13  | CALL\_BARRED                       |\
> \| 21  | FACILITY\_NOT\_SUPPORTED            |\
> \| 27  | ABSENT\_SUBSCRIBER                 |\
> \| 31  | SUBSCRIBER\_BUSY\_FOR\_MT\_SMS        |\
> \| 32  | DELIVERY\_FAILURE                  |\
> \| 34  | SYSTEM\_FAILURE                    |\
> \| 36  | UNEXPECTED\_DATA\_VALUE             |\
> \| 37  | MEMORY\_CAPACITY\_EXCEEDED          |\
> \| 38  | PREFIX\_NOT\_RESOLVED               |\
> \| 39  | IMSI\_BLACKLISTED                  |\
> \| 40  | DEST\_ADDRESS\_BLACKLISTED          |\
> \| 41  | TIME\_OUT                          |\
> \| 43  | INVALID\_ORIGINATOR\_ADDRESS        |\
> \| 100 | GENERAL\_ERROR                     |\
> \| 200 | EQUIPMENT\_PROTOCOL\_ERROR          |\
> \| 201 | UNKNOWN\_MSC                       |\
> \| 202 | CONGESTION\_ERROR                  |\
> \| 203 | PARAMETER\_MISSMATCH               |\
> \| 204 | INITIATING\_RELEASE                |\
> \| 205 | POTENTIAL\_VERSION\_INCOMPATIBILITY |\
> \| 206 | REMOTE\_NODE\_NOT\_REACHABLE         |\
> \| 207 | MTP\_FAILURE                       |\
> \| 208 | NETWORK\_CONGESTION                |\
> \| 209 | SIGNALLING\_FAILURE                |\
> \| 210 | ABNORMAL\_MAP\_DIALOG               |\
> \| 211 | INVALID\_PDU\_FORMAT                |\
> \| 300 | ABORTED\_RETRY                     |\
> \| 301 | VALIDITY\_PERIOD\_EXPIRED           |

```json
{"openapi":"3.1.0","info":{"title":"Number intelligence API","version":"1.0"},"servers":[{"url":"https://number-api.bind.hr"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"apiKey","in":"header","name":"X-API-KEY"}},"schemas":{"MsisdnRequest":{"type":"object","required":["msisdn"],"properties":{"msisdn":{"type":"array","items":{"type":"string"},"description":"A list of MSISDNs to look up."},"callback_url":{"type":"string","format":"uri","description":"An optional URL to receive a callback with the results."}}}}},"paths":{"/lookup/hlr":{"post":{"summary":"Realtime Lookup","description":"**Introduction**\n\nReal-time lookup APIs allow you to discover live information for a provided number.\n\nBy using the real-time lookup APIs you ensure the number you are querying is valid, along with information related to the number itself, such as the country and the network to which it belongs.\n\nEach response contains:\n\n- `date` — time when the request was executed (ISO8601)\n- `msisdn` — the number for which the response has been returned\n- `mcc` — Mobile country code ([learn more](https://en.wikipedia.org/wiki/Mobile_country_code))\n- `mnc` — Mobile network code ([learn more](https://en.wikipedia.org/wiki/Mobile_country_code))\n  - the mobile network code to which the number currently belongs\n- `omnc` — Original network code\n  - returned in case the `ported` flag is `true`\n- `originalNetwork` (the network to which the number originally belonged)\n  - `countryName`\n  - `countryPrefix`\n  - `networkName`\n- `portedNetwork` (the network to which the number is currently ported)\n  - `countryName`\n  - `countryPrefix`\n  - `networkName`\n- `ported` — denotes whether the number has been ported\n- `imsi` — IMSI ([learn more](https://en.wikipedia.org/wiki/International_mobile_subscriber_identity))\n- `gsmErrorCode` — error code related to user availability (see below)\n- `price` — the price for this request\n- `response` — the result code (see below)\n\n**Response values**\n\n| Value | Description | Action |\n|------:|-------------|--------|\n| 0 | Success | ✈️ |\n| 1 | General error | Repeating the request won't yield a different result |\n| 2 | Pricing not set | Contact procurement@bind.hr |\n| 3 | Out of balance | Contact procurement@bind.hr |\n| 4 | Throttled | Contact procurement@bind.hr |\n| 5 | Invalid number | Number length not valid |\n| 6 | Not resolved | Number cannot be resolved due to missing coverage |\n| 7 | Timeout | Number cannot be resolved due to timeout |\n| 8 | Missing permissions | Contact procurement@bind.hr |\n\n**GSM error codes**\n\n| EC  | ERROR DESCRIPTION                 |\n| --- | --------------------------------- |\n| 0   | REACHABLE                         |\n| 1   | UNKNOWN_SUBSCRIBER                |\n| 5   | UNIDENTIFIED_SUBSCRIBER           |\n| 9   | ILLEGAL_SUBSCRIBER                |\n| 11  | TELESERVICE_NOT_PROVISIONED       |\n| 13  | CALL_BARRED                       |\n| 21  | FACILITY_NOT_SUPPORTED            |\n| 27  | ABSENT_SUBSCRIBER                 |\n| 31  | SUBSCRIBER_BUSY_FOR_MT_SMS        |\n| 32  | DELIVERY_FAILURE                  |\n| 34  | SYSTEM_FAILURE                    |\n| 36  | UNEXPECTED_DATA_VALUE             |\n| 37  | MEMORY_CAPACITY_EXCEEDED          |\n| 38  | PREFIX_NOT_RESOLVED               |\n| 39  | IMSI_BLACKLISTED                  |\n| 40  | DEST_ADDRESS_BLACKLISTED          |\n| 41  | TIME_OUT                          |\n| 43  | INVALID_ORIGINATOR_ADDRESS        |\n| 100 | GENERAL_ERROR                     |\n| 200 | EQUIPMENT_PROTOCOL_ERROR          |\n| 201 | UNKNOWN_MSC                       |\n| 202 | CONGESTION_ERROR                  |\n| 203 | PARAMETER_MISSMATCH               |\n| 204 | INITIATING_RELEASE                |\n| 205 | POTENTIAL_VERSION_INCOMPATIBILITY |\n| 206 | REMOTE_NODE_NOT_REACHABLE         |\n| 207 | MTP_FAILURE                       |\n| 208 | NETWORK_CONGESTION                |\n| 209 | SIGNALLING_FAILURE                |\n| 210 | ABNORMAL_MAP_DIALOG               |\n| 211 | INVALID_PDU_FORMAT                |\n| 300 | ABORTED_RETRY                     |\n| 301 | VALIDITY_PERIOD_EXPIRED           |","operationId":"resolve-live","tags":["Realtime Lookup"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MsisdnRequest"}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","required":["date","msisdn","price","response"],"properties":{"date":{"type":"string"},"mcc":{"type":"string"},"mnc":{"type":"string"},"msisdn":{"type":"string"},"omnc":{"type":"string"},"originalNetwork":{"type":"object","properties":{"countryName":{"type":"string"},"countryPrefix":{"type":"string"},"networkName":{"type":"string"}}},"ported":{"type":"number"},"portedNetwork":{"type":"object","properties":{"countryName":{"type":"string"},"countryPrefix":{"type":"string"},"networkName":{"type":"string"}}},"price":{"type":"number"},"response":{"type":"integer"}}}}}}},"401":{"description":"401","content":{"text/plain":{}}},"500":{"description":"500","content":{"text/plain":{}}}},"deprecated":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.bind.hr/number-intelligence/realtime-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
